aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe/recipes-dbs
diff options
context:
space:
mode:
authorArmin Kuster <akuster808@gmail.com>2018-04-07 23:24:57 -0700
committerArmin Kuster <akuster808@gmail.com>2018-04-13 12:43:42 -0700
commita03645865e53bbe393211bc5d8b2a55505217085 (patch)
tree79f452074917ced61263833b857970b105ad3850 /meta-oe/recipes-dbs
parentcf2be348aee00dbebf1fc36a03e19e6e9360d4b8 (diff)
downloadmeta-openembedded-a03645865e53bbe393211bc5d8b2a55505217085.tar.gz
meta-openembedded-a03645865e53bbe393211bc5d8b2a55505217085.tar.bz2
meta-openembedded-a03645865e53bbe393211bc5d8b2a55505217085.zip
postgresql: refresh patches
WARNING: postgresql-9.4.15-r0 do_patch: Some of the context lines in patches were ignored. This can lead to incorrectly applied patches. The context lines in the patches can be updated with devtool: devtool modify <recipe> devtool finish --force-patch-refresh <recipe> <layer_path> Then the updated patches and the source tree (in devtool's workspace) should be reviewed to make sure the patches apply in the correct place and don't introduce duplicate lines (which can, and does happen when some of the context is ignored). Further information: http://lists.openembedded.org/pipermail/openembedded-core/2018-March/148675.html https://bugzilla.yoctoproject.org/show_bug.cgi?id=10450 Details: Applying patch remove.autoconf.version.check.patch patching file configure.in Hunk #1 succeeded at 19 with fuzz 2. Now at patch remove.autoconf.version.check.patch Signed-off-by: Armin Kuster <akuster808@gmail.com>
Diffstat (limited to 'meta-oe/recipes-dbs')
-rw-r--r--meta-oe/recipes-dbs/postgresql/files/0001-Use-pkg-config-for-libxml2-detection.patch13
-rw-r--r--meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch13
-rw-r--r--meta-oe/recipes-dbs/postgresql/files/remove.autoconf.version.check.patch9
3 files changed, 14 insertions, 21 deletions
diff --git a/meta-oe/recipes-dbs/postgresql/files/0001-Use-pkg-config-for-libxml2-detection.patch b/meta-oe/recipes-dbs/postgresql/files/0001-Use-pkg-config-for-libxml2-detection.patch
index d08ec6af1..ce2a60cab 100644
--- a/meta-oe/recipes-dbs/postgresql/files/0001-Use-pkg-config-for-libxml2-detection.patch
+++ b/meta-oe/recipes-dbs/postgresql/files/0001-Use-pkg-config-for-libxml2-detection.patch
@@ -12,11 +12,11 @@ Signed-off-by: Philip Balister <philip@balister.org>
configure.in | 15 ++-------------
1 file changed, 2 insertions(+), 13 deletions(-)
-diff --git a/configure.in b/configure.in
-index f8bf466..1f4fabf 100644
---- a/configure.in
-+++ b/configure.in
-@@ -734,19 +734,8 @@ PGAC_ARG_BOOL(with, libxml, no, [build with XML support],
+Index: postgresql-9.4.15/configure.in
+===================================================================
+--- postgresql-9.4.15.orig/configure.in
++++ postgresql-9.4.15/configure.in
+@@ -759,19 +759,8 @@ PGAC_ARG_BOOL(with, libxml, no, [build w
[AC_DEFINE([USE_LIBXML], 1, [Define to 1 to build with XML support. (--with-libxml)])])
if test "$with_libxml" = yes ; then
@@ -38,6 +38,3 @@ index f8bf466..1f4fabf 100644
fi
AC_SUBST(with_libxml)
---
-1.8.3.1
-
diff --git a/meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch b/meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch
index e199f3914..971510943 100644
--- a/meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch
+++ b/meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch
@@ -13,11 +13,11 @@ Signed-off-by: Roy Li <rongqing.li@windriver.com>
configure.in | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
-diff --git a/configure.in b/configure.in
-index ae1a5a0..9a0970d 100644
---- a/configure.in
-+++ b/configure.in
-@@ -1877,7 +1877,7 @@ if test "$with_tcl" = yes; then
+Index: postgresql-9.4.15/configure.in
+===================================================================
+--- postgresql-9.4.15.orig/configure.in
++++ postgresql-9.4.15/configure.in
+@@ -1879,7 +1879,7 @@ if test "$with_tcl" = yes; then
fi
# check for <perl.h>
@@ -26,6 +26,3 @@ index ae1a5a0..9a0970d 100644
ac_save_CPPFLAGS=$CPPFLAGS
CPPFLAGS="$CPPFLAGS -I$perl_archlibexp/CORE"
AC_CHECK_HEADER(perl.h, [], [AC_MSG_ERROR([header file <perl.h> is required for Perl])],
---
-1.9.1
-
diff --git a/meta-oe/recipes-dbs/postgresql/files/remove.autoconf.version.check.patch b/meta-oe/recipes-dbs/postgresql/files/remove.autoconf.version.check.patch
index be23fd419..be82f1031 100644
--- a/meta-oe/recipes-dbs/postgresql/files/remove.autoconf.version.check.patch
+++ b/meta-oe/recipes-dbs/postgresql/files/remove.autoconf.version.check.patch
@@ -1,10 +1,10 @@
-Index: postgresql-9.2.4/configure.in
+Index: postgresql-9.4.15/configure.in
===================================================================
---- postgresql-9.2.4.orig/configure.in
-+++ postgresql-9.2.4/configure.in
+--- postgresql-9.4.15.orig/configure.in
++++ postgresql-9.4.15/configure.in
@@ -19,10 +19,6 @@ m4_pattern_forbid(^PGAC_)dnl to catch un
- AC_INIT([PostgreSQL], [9.4.2], [pgsql-bugs@postgresql.org])
+ AC_INIT([PostgreSQL], [9.4.15], [pgsql-bugs@postgresql.org])
-m4_if(m4_defn([m4_PACKAGE_VERSION]), [2.69], [], [m4_fatal([Autoconf version 2.69 is required.
-Untested combinations of 'autoconf' and PostgreSQL versions are not
@@ -13,4 +13,3 @@ Index: postgresql-9.2.4/configure.in
AC_COPYRIGHT([Copyright (c) 1996-2014, PostgreSQL Global Development Group])
AC_CONFIG_SRCDIR([src/backend/access/common/heaptuple.c])
AC_CONFIG_AUX_DIR(config)
-